Subject: Re: Netscape package and 'flash' shockwave plugin
To: Hubert Feyrer <>
From: Todd Vierling <>
List: tech-pkg
Date: 06/22/1999 09:56:03
On Tue, 22 Jun 1999, Hubert Feyrer wrote:

: > `won't work' meaning `won't reflect the configuration of the system being
: > used' or `won't always use Communicator as its dependency'?  Since you
: > proposed making the dependency on Communicator anyway, this should be a
: > quasi-OK situation that allows Navigator-only people a way out if pkgsrc is
: > used.
: `won't always use Communicator as its dependency'

Ah, so RUN_DEPENDS registers a dependency based on pkgdb, not the second
argument of the dependency?

This is actually a better situation, IMHO.  Bulk binary builds should use
the second argument of the dependency (communicator) whereas people like me,
who want/use only navigator, would get a binary package that depends on

Some of this is addressed by my still unfinished `nonstandard-pkg' license
condition code... ah, when the move is over.....

-- Todd Vierling (